osg::ClampedLinearCostFunction1D Struct Reference

`#include <GraphicsCostEstimator>`

## Public Member Functions

| ClampedLinearCostFunction1D (double cost0=0.0, double dcost_di=0.0, unsigned int min_input=0)
void | set (double cost0, double dcost_di, unsigned int min_input)
double | operator() (unsigned int input) const

## Public Attributes

double | _cost0
double | _dcost_di
unsigned int | _min_input

## Constructor & Destructor Documentation

## ClampedLinearCostFunction1D()

osg::ClampedLinearCostFunction1D::ClampedLinearCostFunction1D | ( | double | cost0 = 0.0,
|  | double | dcost_di = 0.0,
|  | unsigned int | min_input = 0 )

inline

References _cost0, _dcost_di, and _min_input.

## Member Function Documentation

## operator()()

double osg::ClampedLinearCostFunction1D::operator() | ( | unsigned int | input | ) | const

inline

References _cost0, _dcost_di, and _min_input.

## set()

void osg::ClampedLinearCostFunction1D::set | ( | double | cost0,
|  | double | dcost_di,
|  | unsigned int | min_input )

inline

References _cost0, _dcost_di, and _min_input.

## Member Data Documentation

## _cost0

double osg::ClampedLinearCostFunction1D::_cost0

Referenced by ClampedLinearCostFunction1D(), operator()(), and set().

## _dcost_di

double osg::ClampedLinearCostFunction1D::_dcost_di

Referenced by ClampedLinearCostFunction1D(), operator()(), and set().

## _min_input

unsigned int osg::ClampedLinearCostFunction1D::_min_input

Referenced by ClampedLinearCostFunction1D(), operator()(), and set().

The documentation for this struct was generated from the following file:

- GraphicsCostEstimator